
Redmine - Defect #15708

Issue Post broken in 2.4.1

2013-12-15 20:08 - Marco Descher

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.4.1

Description

It seems like posting issues using the api is broken in 2.4.1

Started POST "/issues.xml?key=asdf" for 84.115.253.86 at 2013-12-15 20:01:46 +0100

Processing by IssuesController#create as XML

  Parameters: {"issue"=>{"id"=>"0", "subject"=>"at.medevit.redmine.rest.RedmineConnectorTest", "de

scription"=>"at.medevit.redmine.rest.RedmineConnectorTest Description", "project_id"=>"3", "tracke

r_id"=>"4"}, "key"=>"asdf"}

  Current user: wfeconnector (id=4)

  Rendered common/error_messages.api.rsb (0.3ms)

Completed 422 Unprocessable Entity in 224.6ms (Views: 2.2ms | ActiveRecord: 4.1ms)

 where the incoming data is

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>

<issue>

    <id>0</id>

    <subject>at.medevit.redmine.rest.RedmineConnectorTest</subject>

    <description>at.medevit.redmine.rest.RedmineConnectorTest Description</description>

    <project_id>3</project_id>

    <tracker_id>4</tracker_id>

</issue>

History

#1 - 2013-12-15 20:12 - Marco Descher

- Status changed from New to Resolved

The error was due to a missing custom field! Thanks!

#2 - 2013-12-16 03:46 - Toshi MARUYAMA

- Category changed from Issues to REST API

- Status changed from Resolved to Closed

- Resolution set to Invalid
